Bug 2106091 - Exclude filter may exclude errata and packages that are needed
Summary: Exclude filter may exclude errata and packages that are needed
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
high
unspecified vote
Target Milestone: 6.12.0
Assignee: Ian Ballou
QA Contact: Lai
URL:
Whiteboard:
Depends On: 2109298
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-11 18:29 UTC by Odilon Sousa
Modified: 2022-09-20 19:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2052851
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34437 0 Normal Closed Exclude filter may exclude errata and packages that are needed 2022-07-11 18:29:59 UTC
Red Hat Issue Tracker SAT-11742 0 None None None 2022-09-20 19:18:26 UTC

Comment 7 Lai 2022-09-20 19:08:05 UTC
Steps to rest:
1. Enable and sync "Advanced Virtualization for RHEL 8 x86_64 RPMs" repo
2. Create a content view named "cv-virt-test" and attach the above repo
3. Create an include filter named "erratum_inclusion" and set end date as 11 September 2021
4. Create an exclude filter named "erratum_exclusion" and set start date as 01 September 2020
5. Publish the content view

expected:
Satellite 6.12:
988 Packages
16 Errata ( 5  11  0  )
16 Module Streams

Actual results:
Satellite 6.12:
988 Packages
16 Errata ( 5  11  0  )
16 Module Streams

Verified on 6.12.0 snap 11 with


Note You need to log in before you can comment on or make changes to this bug.